Bug 52918 - local configurations should always be 'present'
Summary: local configurations should always be 'present'
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-17 11:05 UTC by SyncEvolution Community
Modified: 2018-10-13 12:38 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by jku@linux.intel.com 2011-06-17 11:05:54 +0000 ----

Local configs currently always have "No transport" presence. The right (or at least better) value would be to always return "" (as in MIGHTWORK).



---- Additional Comments From jku@linux.intel.com 2011-06-17 11:11:07 +0000 ----

Commit in jku branch, but please be aware that branch includes other un-merged commits.

commit d151c8b8dd29d6cd4303d72e651c8bad603cccef
Author: Jussi Kukkonen <jku@linux.intel.com>
Date:   Fri Jun 17 13:31:03 2011 +0300

    syncevo-dbus-server: local configs should be 'present' (BMC #19488)
    
    GetPresence and PresenceChanged should always return ""
    (meaning MIGHTWORK) for local configurations.



---- Additional Comments From patrick.ohly@intel.com 2011-06-17 13:20:35 +0000 ----

Cherry-picked. I'm not closing it because the final solution should also look into the source config and determine which connectivity it needs.

Something for 1.3, after the syncevo-dbus-server rewrite.



---- Additional Comments From ulf.hofemeier@linux.intel.com 2011-06-23 17:21:20 +0000 ----

Please mark this bug as resolved. SR#21373 accepted into Trunk:Testing.



---- Additional Comments From patrick.ohly@intel.com 2011-06-23 18:36:21 +0000 ----

(In reply to comment #3)
> Please mark this bug as resolved. SR#21373 accepted into Trunk:Testing.         

It was intentionally not marked as resolved because the current solution is not the final one.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 19488 at https://bugs.meego.com/show_bug.cgi?id=19488
Comment 1 GitLab Migration User 2018-10-13 12:38:19 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/7.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.